@startuml

!theme crt-green
skinparam backgroundColor #000000
skinparam nodesep 100
skinparam ranksep 100
skinparam edgesep 100
top to bottom direction
skinparam linetype ortho

class AssetEntry {
   entryId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   classUuid: varchar(75)
   classTypeId: bigint(20)
   listable: tinyint(4)
   visible: tinyint(4)
   startDate: datetime(6)
   endDate: datetime(6)
   publishDate: datetime(6)
   expirationDate: datetime(6)
   mimeType: varchar(75)
   title: longtext
   description: longtext
   summary: longtext
   url: longtext
   layoutUuid: varchar(75)
   height: int(11)
   width: int(11)
   priority: double
}
class FriendlyURLEntry {
   friendlyURLEntryId: bigint(20)
   ctCollectionId: bigint(20)
   --
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   defaultLanguageId: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
}
class FriendlyURLEntryLocalization {
   friendlyURLEntryLocalizationId: bigint(20)
   ctCollectionId: bigint(20)
   --
   friendlyURLEntryId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   languageId: varchar(75) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   urlTitle: varchar(255)
}
class FriendlyURLEntryMapping {
   friendlyURLEntryMappingId: bigint(20)
   ctCollectionId: bigint(20)
   --
   friendlyURLEntryId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
}
class Layout {
   plid: bigint(20)
   ctCollectionId: bigint(20)
   --
   layoutId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   classNameId: bigint(20) <PFK>
   classPK: bigint(20) <PFK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   parentPlid: bigint(20)
   privateLayout: tinyint(4)
   parentLayoutId: bigint(20)
   name: longtext
   title: longtext
   description: longtext
   keywords: longtext
   robots: longtext
   type_: varchar(75)
   typeSettings: longtext
   hidden_: tinyint(4)
   system_: tinyint(4)
   friendlyURL: varchar(255)
   iconImageId: bigint(20)
   themeId: varchar(75)
   colorSchemeId: varchar(75)
   styleBookEntryId: bigint(20)
   css: longtext
   priority: int(11)
   faviconFileEntryId: bigint(20)
   masterLayoutPlid: bigint(20)
   layoutPrototypeUuid: varchar(75)
   layoutPrototypeLinkEnabled: tinyint(4)
   sourcePrototypeLayoutUuid: varchar(75)
   publishDate: datetime(6)
   lastPublishDate: datetime(6)
   status: int(11)
   statusByUserId: bigint(20)
   statusByUserName: varchar(75)
   statusDate: datetime(6)
}
class LayoutFriendlyURL {
   layoutFriendlyURLId: bigint(20)
   ctCollectionId: bigint(20)
   --
   plid: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   privateLayout: tinyint(4)
   friendlyURL: varchar(255)
   languageId: varchar(75)
   lastPublishDate: datetime(6)
}
class LayoutPageTemplateStructure {
   layoutPageTemplateStructureId: bigint(20)
   ctCollectionId: bigint(20)
   --
   plid: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
}
class LayoutPageTemplateStructureRel {
   lPageTemplateStructureRelId: bigint(20)
   ctCollectionId: bigint(20)
   --
   layoutPageTemplateStructureId: bigint(20) <FK>
   segmentsExperienceId: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   data_: longtext
   lastPublishDate: datetime(6)
   status: int(11)
   statusByUserId: bigint(20)
   statusByUserName: varchar(75)
   statusDate: datetime(6)
}
class PortletPreferences {
   portletPreferencesId: bigint(20)
   ctCollectionId: bigint(20)
   --
   plid: bigint(20) <FK>
   portletId: varchar(200) <FK>
   companyId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   mvccVersion: bigint(20)
   ownerType: int(11)
}
class PortletPreferenceValue {
   portletPreferenceValueId: bigint(20)
   ctCollectionId: bigint(20)
   --
   portletPreferencesId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   index_: int(11)
   largeValue: longtext
   name: varchar(255)
   readOnly: tinyint(4)
   smallValue: varchar(255)
}
class ResourcePermission {
   resourcePermissionId: bigint(20)
   ctCollectionId: bigint(20)
   --
   roleId: bigint(20) <FK>
   ownerId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   mvccVersion: bigint(20)
   name: varchar(255)
   scope: int(11)
   primKey: varchar(255)
   primKeyId: bigint(20)
   actionIds: bigint(20)
   viewActionId: tinyint(4)
}
class SegmentsExperience {
   segmentsExperienceId: bigint(20)
   ctCollectionId: bigint(20)
   --
   segmentsEntryId: bigint(20) <FK>
   plid: bigint(20) <FK>
   groupId: bigint(20) <FK>
   companyId: bigint(20) <FK>
   userId: bigint(20) <FK>
   mvccVersion: bigint(20)
   uuid_: varchar(75)
   externalReferenceCode: varchar(75)
   userName: varchar(75)
   createDate: datetime(6)
   modifiedDate: datetime(6)
   segmentsExperienceKey: varchar(75)
   name: longtext
   priority: int(11)
   active_: tinyint(4)
   typeSettings: varchar(75)
   lastPublishDate: datetime(6)
}

FriendlyURLEntryMapping }|-left-|| FriendlyURLEntry:FriendlyURLEntryId
FriendlyURLEntryLocalization }|-right-|| FriendlyURLEntry:FriendlyURLEntryId
SegmentsExperience }o--|| Layout:PlId
ResourcePermission }o--o| Layout:PrimKey
ResourcePermission }o--o| SegmentsExperience:PrimKey
LayoutPageTemplateStructure }o--|| Layout:PlId
LayoutPageTemplateStructureRel }o-left-|| LayoutPageTemplateStructure:layoutPageTemplateStructureId
LayoutPageTemplateStructureRel }o--|| SegmentsExperience:segmentsExperienceId
LayoutFriendlyURL }o-up-|| Layout:PlId
AssetEntry }o-up-o| Layout:ClassPK
Layout }o--o| Layout:ClassPK
FriendlyURLEntryLocalization }o--o| Layout:ClassPK
FriendlyURLEntry }o--o| Layout:ClassPK
FriendlyURLEntryMapping }o--o| Layout:ClassPK
PortletPreferences }o--|| Layout:PlId
PortletPreferenceValue  }o--|| PortletPreferences:PortletPreferencesId

@enduml
